Reference
Get Savings Audit breakdown by provider
Returns saved recommendations for a provider as paginated JSON (format=table) or a CSV download of the full filtered set (format=csv)
Authorization
BearerAuth In: header
Path Parameters
Query Parameters
Response format: table (paginated JSON) or csv (full filtered set as a CSV download)
Start date filter (ISO 8601 format: YYYY-MM-DD or YYYY-MM)
End date filter (ISO 8601 format: YYYY-MM-DD or YYYY-MM)
Page number (1-indexed)
Items per page (max 200)
Field to sort by (period, account_id, environment, service, usage_type, usage_quantity, usage_unit, pre_optimization_cost, monthly_savings, requested_by, approved_by)
Sort order
Date preset: '30D', '6M', or '12M' (takes precedence over start/end)
Filter by service(s) - can be repeated for multiple values
Filter by environment(s) - can be repeated for multiple values
Filter by account ID(s) - can be repeated for multiple values
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/providers/string/recommendations/audit/breakdown"{
"success": true,
"timestamp": "2019-08-24T14:15:22Z",
"data": {
"total_savings": 0,
"items": [
{
"audit_id": 0,
"recommendation_id": "string",
"savings_id": "string",
"period": "string",
"implemented_at": "string",
"account_id": "string",
"environment": "string",
"provider": "string",
"service": "string",
"usage_type": "string",
"usage_quantity": 0,
"usage_unit": "string",
"cost": 0,
"savings": 0,
"author": "string",
"requested_by": "string",
"approved_by": "string",
"applied_via": "string",
"implementation_method": "string",
"first_view_at": "string",
"first_view_channel": "string",
"view_count_at_audit": 0,
"verification": "pending",
"estimated_savings_usd": 0,
"realized_savings_usd": 0,
"realized_savings_in_progress_usd": 0,
"settled_at": "string",
"realized_savings_7d_usd": 0,
"realized_savings_30d_usd": 0,
"snapshot_7d_at": "string",
"snapshot_30d_at": "string",
"realized_basis": "string"
}
],
"pagination": {
"total_items": 0,
"total_pages": 0,
"current_page": 0,
"page_size": 0,
"has_next": true,
"has_previous": true
}
}
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}{
"success": false,
"error": {
"code": "string",
"message": "string",
"details": null
},
"timestamp": "2019-08-24T14:15:22Z"
}